Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender
Interface OsgiServiceDependencyFactory

All Known Implementing Classes:
  MandatoryImporterDependencyFactory

    public interface OsgiServiceDependencyFactory

Interface to be implemented by beans wishing to provide OSGi service dependencies required by the `ApplicationContext`. By default, the extender will postpone the context initialization until the dependencies (to OSGi services) are all satisfied at the same time.

Author:
  Andy Piper, Costin Leau
See Also:
  `ApplicationContext`, `*`

Method Summary
`Collection<OsgiServiceDependency>` | `getServiceDependencies(org.osgi.framework.BundleContext bundleContext, org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)` Returns the OSGi service dependencies applying for the given bean factory running inside the given bundle context.

Method Detail

### getServiceDependencies

    Collection<OsgiServiceDependency> getServiceDependencies(org.osgi.framework.BundleContext bundleContext,
                                                             org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
                                                             throws org.springframework.beans.BeansException,
                                                                    org.osgi.framework.InvalidSyntaxException,
                                                                    org.osgi.framework.BundleException

  Returns the OSGi service dependencies applying for the given bean factory running inside the given bundle context. The returned collection should contain only `OsgiServiceDependency` objects.

  Parameters:
    `bundleContext` - bundle
    `beanFactory` - the bean factory used by the application context
  Returns:
    collection of service dependencies
  Throws:
    `org.springframework.beans.BeansException` - in case of factory errors
    `org.osgi.framework.InvalidSyntaxException` - in case of OSGi filters errors
    `org.osgi.framework.BundleException` - in case of OSGi bundle errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.